      gsequencer

GSEQUENCER(1)

NAME
gsequencer - Advanced Gtk+ Sequencer is an audio sequencer and composition editor

SYNOPSIS

/usr/bin/gsequencer [--help] [--version] [--no-builtin-theme] [--non-unique] [--menu-bar] [--filename file] [--no-config]

DESCRIPTION

Advanced GTK+ Sequencer is intended to use for music composition. It features a piano roll, as well a synth, matrix editor, drum machine, soundfont2 player, mixer and an output panel. It’s designed to be highly configurable. You may add effects to its effect chain; and add or remove audio channels/pads. You may set up a fully functional network of engines, thus there is a link editor for linking audio lines.

As version 1.0.0 it supports LADSPA, DSSI and Lv2 plugin format. And provides the ability to export to WAV, FLAC and OGG audio files. It can run on various soundcard backends including ALSA, OSS4, JACK Audio Connection Kit, Pulseaudio Core-Audio, Audio-Unit and WASAPI.

The binary looks for a configuration file in $HOME/.gsequencer/ags.conf.

...

OPTIONS

The program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the info(1) files.

--no-builtin-theme
    Disable built-in theme in order to display default theme.

--non-unique
    Don't attach to any existing application ID, i.e. fork a new process.

--menu-bar
    Ignore gtk-shell-shows-menubar from GtkSettings and force showing a traditional GtkMenuBar.

--filename file
    Open file from command line.

--no-config
    Don't read config from file.

--help
    Show summary of options.

--version
    Show version of program.

ENVIRONMENT VARIABLES

The program interprets following environment variables if set.

OSS_MIXERDEV
    the OSSv4 mixer device

LADSPA_PATH
    LADSPA plugin search path

DSSI_PATH
    DSSI plugin search path

LV2_PATH
    LV2 plugin search path

AGS_ANIMATION_FILENAME
    The splash screen's background picture

AGS_ANIMATION_TEXT_BOX_X0
    The splash screen's text box x-position

AGS_ANIMATION_TEXT_BOX_Y0
    The splash screen's text box y-position

AGS_ANIMATION_TEXT_COLOR
    The splash screen's text color

AGS_CSS_FILENAME
    The application's style sheet

AGS_CONFIG
    The config to read from environment instead of $HOME/.gsequencer/ags.conf

ALSA EXAMPLE CONFIGURATION FILE

This example configuration file is using ALSA backend to play to "hw:CARD=PCH,DEV=0" and capture from "hw:CARD=CODEC,DEV=0" device.

    [generic]
    disable-feature=experimental
    autosave-thread=false
    segmentation=4/4
    engine-mode=deterministic
    rt-safe=false
    gui-scale=1.0

    [soundcard-0]
    backend=alsa
    capability=playback
    buffer-size=512
    pcm-channels=2
    format=16
    samplerate=44100
    device=hw:CARD=PCH,DEV=0

    [soundcard-1]
    backend=alsa
    capability=capture
    buffer-size=512
    pcm-channels=2
    format=16
    samplerate=44100
    device=hw:CARD=CODEC,DEV=0

    [recall]
    auto-sense=false

    [thread]
    model=super-threaded
    super-threaded-scope=audio
    lock-global=ags-thread
    lock-parent=ags-recycling-thread
    thread-pool-max-unused-threads=4
    max-precision=250

OSSV4 EXAMPLE CONFIGURATION FILE

This example configuration file is using ALSA backend to play to "/dev/dsp" device.

    [generic]
    disable-feature=experimental
    autosave-thread=false
    segmentation=4/4
    engine-mode=deterministic
    rt-safe=false
    gui-scale=1.0

    [soundcard-0]
    backend=oss
    capability=playback
    buffer-size=512
    pcm-channels=2
    format=16
    samplerate=44100
    device=/dev/dsp

    [recall]
    auto-sense=false

    [thread]
    model=super-threaded
    super-threaded-scope=audio
    lock-global=ags-thread
    lock-parent=ags-recycling-thread
    thread-pool-max-unused-threads=4
    max-precision=250

BUGS

None. So far I know.

AUTHOR

Joël Krähemann

COPYRIGHT
Copyright © 2022 Joël Krähemann

This manual page is part of GSequencer. License GPLv3+: GNU GPL version 3 or (at your option) any later <http://gnu.org/licenses/gpl.html>.

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.